/// <reference types="node" />
/** the API to search streams for text or regular expressions */
interface TextStreamSearcher {
    fullText(): string;
    waitForRegex(regex: RegExp, timeout?: number): Promise<string>;
    waitForText(text: string, timeout?: number): Promise<string>;
}
/** A NodeJS.ReadableStream that can search the stream content. */
export declare type Stream = NodeJS.ReadableStream & TextStreamSearcher;
export declare function wrapStream(stream: NodeJS.ReadableStream): Stream;
export {};
